Table of Contents

Class: StartDialog | eric3/Debugger/StartDialog.py
--- | ---

### Class implementing the Start Program dialog.

It implements a dialog that is used to start an application for debugging. It asks the user to enter the commandline parameters, the working directory and whether exception reporting should be disabled.

Base Classes |
--- | ---
StartForm

Methods |
--- | ---
__init__ getCoverageData getData handleDir
| __init__

    __init__ (
            self,
            caption,
            argvList,
            wdList,
            exceptions,
            parent=None,
            type=0,
            )

### Constructor

#### Arguments

caption
  the caption to be displayed (QString)
argvList
  history list of commandline arguments (QStringList)
wdList
  history list of working directories (QStringList)
exceptions
  exception reporting flag (boolean)
parent
  parent widget of this dialog (QWidget)
type
  type of the start dialog (0 = start debug dialog 1 = start run dialog 2 = start coverage dialog 3 = start profile dialog)

| getCoverageData

    getCoverageData ( self )

### Public method to retrieve the coverage related data entered into this dialog.

#### Returns

flag indicating erasure of coverage info (boolean)

| getData

    getData ( self )

### Public method to retrieve the data entered into this dialog.

#### Returns

a tuple of argv, workdir, exceptions

| handleDir

    handleDir ( self )

Private method used to open a directory selection dialog.

Table of Contents

This document was automatically generated by HappyDoc version 2.1